### Function

# Gimp flags_get_first_desc

#### Declaration [src]

    const GimpFlagsDesc*
    gimp_flags_get_first_desc (
      GFlagsClass* flags_class,
      guint value
    )

#### Description [src]

Retrieves the first `GimpFlagsDesc` that matches the given value, or `NULL`.

Available since: | 2.2

#### Parameters

`flags_class` | `GFlagsClass`
| A `GFlagsClass`.
| The data is owned by the caller of the function.
`value` | `guint`
| A value from `flags_class`.

#### Return value

Returns: | `GimpFlagsDesc`
| The value’s `GimpFlagsDesc`.
| The data is owned by the called function.
| The return value can be `NULL`.